"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x104cdf920>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x104cdf9c0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfa60>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfb00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfba0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfc40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfce0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfd80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfe20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x104cdfec0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x104cdff60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc0e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc180>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc220>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc2c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc360>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc400>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc4a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc540>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc5e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc680>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc720>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc7c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc860>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc900>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1064cc9a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1064cca40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccae0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccb80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccc20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1064cccc0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccd60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1064cce00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccea0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccf40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1064ccfe0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd080>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd120>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd1c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd260>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd300>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd3a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd440>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd4e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd580>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd620>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd6c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd760>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd800>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd8a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd940>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1064cd9e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1064cda80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdb20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdbc0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdc60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdd00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdda0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cde40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1064cdf80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce020>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce0c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce200>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce2a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce340>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce3e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce480>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce520>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce5c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce660>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce700>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce7a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce840>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce8e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1064ce980>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1064cea20>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1064ceac0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1064cec00>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1064ceb60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1064ceca0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1064ced40>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1064cede0>)]
name: str = 'fr_HOCCN'
